<section class="pb5">
  <div #collapse="ngbCollapse" [(ngbCollapse)]="isSentencesCollapsed">
    <div class="sans-serif center lh-xl" id="htmlrewrittenwords"
         [innerHtml]="outputdata.html_rewritten_words">
    </div>
  </div>

  <div class="fl w-50 pr5 mb5">
    <form class="fl w-100">
    <div class="animate flash">
      <button type="button" (click)="getRandomJobListing()" class="db sans-serif f6 ph3 pv2 bg-mid-gray br3 white link bg-animate hover-bg-gray hover-white btn-default">
        Load random document&nbsp;&nbsp;&nbsp;<fa-icon [icon]="faDice"></fa-icon></button>
    </div>


      <h4 class="">Input parameters</h4>
      <button type="button"
              class="mb3 db sans-serif f6 ph3 pv2 br3 black link bg-animate bg-lightest-gray hover-bg-lightest-blue hover-black btn-default"
              (click)="isExamplesCollapsed = !isExamplesCollapsed">Show example id:s
      </button>
      <div #collapse="ngbCollapse" [(ngbCollapse)]="isExamplesCollapsed">
      <pre style="overflow:auto;word-wrap: normal;white-space: pre-wrap;">
      Example, precision:
      6648782-AF, 4134294-AF, 4035405-AF, 4137617-AF,
      452078-AF, 2252724-AF, 4562174-AF, 4555205-AF,
      4550141-AF, 4484692-AF, 4463275-AF, 4493403-AF,
      4463239-AF, 4463958-AF, 4490450-AF, 4521784-AF

      Example, binary enriching
      4036140-AF, 748484-AF, 1010298-AF, 711575-AF,
      4456857-AF

      Example, compound words:
      8356374-AF, 4731379-AF, 6518750-AF, 4749091-AF,
      4729387-AF, 6639917-AF, 4557004-AF

      Example, bullet list:
      8475210-AF, 23747685-AF

      Example, misspelled words
      168449-AF (noggrann), 3570164-AF (sjuksköterska)

      Example, geo
      8444986-AF, 4484692-AF, 4463275-AF, 748484-AF,
      8475210-AF
      </pre>
      </div>

      <div class="doc-input-block">
        <label class="w-100">Doc id:</label>
        <input type="text" class="fl w-30 mr2" placeholder="Doc id (not required)" [(ngModel)]="doc_id_input" name="doc_id_input" />
        <button type="button" (click)="getDemoHtmlJobAdByDocIdInput()" [disabled]="!isInputByIdValid()"
                class="db sans-serif f6 ph3 pv2 bg-mid-gray br3 white link bg-animate hover-bg-gray hover-white btn-default btn-loaddoc">
          Load document for id&nbsp;&nbsp;<fa-icon [icon]="faFileImport"></fa-icon></button>
      </div>
      <div class="doc-input-block">
        <label class="">Headline:</label><input type="text" class="mb3 w-100" [(ngModel)]="doc_headline_input" name="doc_headline_input"
                                                placeholder="Headline (not required)"/>
      </div>
      <div class="doc-input-block">
        <label class="">Text:</label><textarea class="mb3 w-100 db doc_text" type="text" cols="40" rows="10"
                                               [(ngModel)]="doc_text_input" name="doc_text_input" placeholder="Text"></textarea>
      </div>

      <button type="button" (click)="enrichTextFromInput()" [disabled]="!isInputValid()"
              class="fl db sans-serif f6 ph3 pv2 bg-mid-gray br3 white link bg-animate hover-bg-gray hover-white btn-default mr3">
        Enrich!&nbsp;&nbsp;&nbsp;<fa-icon [icon]="faFileExport"></fa-icon></button>

      <button type="button" (click)="enrichTextBinaryFromInput()" [disabled]="!isInputValid()"
              class="fl db sans-serif f6 ph3 pv2 bg-mid-gray br3 white link bg-animate hover-bg-gray hover-white btn-default">
        Enrich binary!&nbsp;&nbsp;&nbsp;<fa-icon [icon]="faFileExport"></fa-icon></button>
    </form>

<!--    <div ng-show="isTodoVisible">-->
<!--      <button type="button"-->
<!--              class="fl mt5 mr3 sans-serif f3 ph4 pv2 br3 black link bg-animate bg-lightest-blue hover-bg-blue hover-white btn-default"-->
<!--              ng-click="isTodoCollapsed = !isTodoCollapsed">Show TODO:s-->
<!--      </button>-->
<!--      <button type="button"-->
<!--              class="f3 mt5 sans-serif ph4 pv2 br3 black link bg-animate bg-lightest-blue hover-bg-blue hover-white btn-default"-->
<!--              ng-click="isDoneTodosCollapsed = !isDoneTodosCollapsed">Done TODO:s-->
<!--      </button>-->



<!--      <div uib-collapse="!isTodoCollapsed" class="w-100">-->
<!--        <h4>TODO</h4>-->
<!--        <pre style="overflow:auto;word-wrap: normal;white-space: pre-wrap;">-->
<!--        Bullet list:-->
<!--        8402416-->

<!--        Problematic rendering:-->

<!--        8183924 - 'söker nu efter en tvåspråkig medarbetare till vår kundserviceavdelning som behärskar både svenska och finska', lägg till-->
<!--        tumregel: 'söker', 'medarbetare', 'behärskar' till vänster om candidate.-->
<!--        4461236-AF, kompetenserna på slutet borde inte vara valda ('Viasat' som orsakar detta)-->
<!--        4458695-AF, 'åt vår kund' gör att kompetenserna inte blir valda-->
<!--        378782-AF, 'är en merit' på slutet-->
<!--        1010298-AF, 'flexibel' blir inte valt, kolla tumregler-->
<!--        4520709-AF, 'flexibel' blir inte valt-->
<!--        4549649-AF, bör lägga till även kompetenser i rubriken även om prediction är låg-->

<!--        528559-AF, Ny tumregel behövs, 'krav' fast inte om det ingår i fras 'ställs höga krav'-->
<!--        4035696-AF, länken på slutet (beror på att meningen börjar med 'Huvudsakliga arbetsuppgifter' och det saknas radbrytningar)-->
<!--        4486558-AF, 'Kinesiska(mandarin)'. Tumregel för 'tal och skrift'.-->

<!--        Sentence split problems-->
<!--        4152367-AF, punkt/'.' i punktlista (Går förmodligen inte att lösa när det saknas radbrytningar)-->


<!--        Ontology:-->
<!--        532540-AF, c-kort/c-körkort (och andra körkort)-->
<!--        4659278-AF, språk som saknas. Vi borde kunna lägga in samtliga.-->

<!--        Se https://sv.wikipedia.org/wiki/Systematisk_lista_%C3%B6ver_spr%C3%A5k-->

<!--        Kuriosa:-->
<!--        https://skolvarlden.se/bloggar/karin-kers/spraket-ar-nyckeln-->
<!--      </pre>-->
<!--      </div>-->

<!--      <div uib-collapse="!isDoneTodosCollapsed" class="w-100">-->
<!--        <h4>Done TODO:s</h4>-->
<!--        <pre>-->
<!--        Plural occupations (OK):-->
<!--        4659735-AF-->
<!--        Test with bigger model, done (OK):-->
<!--        6815143-AF-->
<!--        Problematic rendering, done (OK):-->
<!--        3609237-AF-->
<!--        6641908-AF, 6639917-AF, 6645888-AF,-->
<!--        6816908-AF, 6820950-AF, 6647439-AF,-->
<!--        4728654-AF-->
<!--        23131350 - VVS (kompetens) markerar VVS-montör (yrke) eftersom de är i samma mening.-->
<!--        4137617-AF (se asp.net c# på slutet,-->
<!--        felaktig term inlagd + borttag av komma, berikningen missar ASP.NET, C#)-->

<!--        Word split problems-->
<!--        4486558-AF, 'Kinesiska(mandarin)' bör nog skrivas om till 'Kinesiska (mandarin)'. Tumregel för 'tal och skrift'.-->


<!--        Poor prediction (OK):-->
<!--        8358830 - 'Heltidsjobb i soliga cypern'-->
<!--        4035738-AF (punktlista där varje punkt blir en ny mening p.g.a. radbrytning, skriv om innan tolkning så att rubrik för punktlista kommer med?)-->
<!--        4134440-AF, ordet 'dit' (ordet 'känsla' ger fel prediction för yrke)-->
<!--        274210-AF, 'som sökande ska du tycka om att'-->
<!--        4461001-AF, 'Säljare' blir valt. Komplettera regler med undantag för t.ex. rekryteringsföretag-->
<!--        2024513-AF, 'Arbetsuppgifter' borde aldrig få negativ tumregel, 'c:a' borde skrivas om till 'cirka'-->
<!--        1081379-AF, problem med radbrytning/ny mening vid 'Arbetsuppgifter'-->
<!--        428446-AF, kompetenser efter ordet 'Arbetsuppgifterna' (wordembedding model måste hänga ihop med tränad modell)-->
<!--        438181-AF, 'sverige' (i stopplista nu)-->
<!--        1079410-AF, 'mycket god datavana'-->
<!--        754535-AF, 'behöver ha en viss datorvana'-->
<!--        4133852-AF 'högskole- eller universitetsutbildning' -  compoundwordsplitter. (OK)-->
<!--        393708-AF 'Serverings-/barpersonal'-  compoundwordsplitter (OK)-->

<!--        Testa med större modell (OK):-->
<!--        721532-AF-->

<!--        Ontology:-->
<!--        4184293-AF, produktionsledare-->
<!--        4550485-AF, saknas pluralform för yrkesrollen, vi borde kunna jämföra mot en bra ordlista-->
<!--        4493424-AF, 'Konsultchef' saknas. Nog bra att ta fram unika rubriker för de annonser som inte berikas med yrke.-->
<!--        4521879-AF, 'Drifttekniker' saknas. Kolla rubriker enligt 'Yrke1/Yrke2' om vi saknar 1 eller 2.-->
<!--        4549649-AF, 'Servicetekniker' saknas.-->
<!--        4463515-AF, 'tillgång till bil' saknas (synonym till 'tillgång till egen bil'-->
<!--        4556168-AF, 'stödjer' inlagt som yrke men inte 'utvecklingsledare'-->
<!--      </pre>-->
<!--      </div>-->
<!--    </div>-->

    <div *ngIf="isShowSentencesVisible">
      <button type="button"
              class="sans-serif f6 mt4 ph4 pv2 br3 black link bg-animate bg-lightest-blue hover-bg-blue hover-white btn-default"
              (click)="isSentencesCollapsed = !isSentencesCollapsed">{{isSentencesCollapsed?"Show":"Hide"}} rewritten sentences
      </button>
    </div>
  </div>
  <div class="fl w-50">
    <div class="mt2 tc" *ngIf="!showEnrichedData()">
      <fa-icon id="icon-no-enriched-text" class="tc fs--2 dark-blue icon-no-enriched-text" [icon]="faBookReader"></fa-icon>
    </div>
    <div class="mt2 mb2 pb2" *ngIf="showEnrichedData()">
      <span class="bg-blue pa2 white br2 mr2 b--white ba bw1 b--dashed"> OCCUPATION </span>
      <span class="bg-hot-pink pa2 white br2 mr2 b--white ba bw1 b--dashed"> COMPETENCE </span>
      <span class="bg-gold pa2 white br2 mr2 b--white ba bw1 b--dashed"> TRAIT </span>
      <span class="bg-dark-green pa2 white br2 mr2 b--white ba bw1 b--dashed"> GEO </span>
    </div>

    <div *ngIf="showSynonymsCheckbox()" class="mt3">
      Show synonyms for binary enriched candidates: <input type="checkbox" [(ngModel)]="dataService.showBinarySynonyms" style="vertical-align: middle;transform: scale(1.8);margin-left:1em;">
    </div>
    <div class="" *ngIf="showEnrichedData()" >
      <h4>Enriched document</h4>
      <div class="enriched-document bg-white bw1 pa2 pt4 pb4 mb4 br3 shadow-2">
        <div>
          <b>Doc id: </b>{{outputdata.doc_id}}
        </div>
        <b>Headline:</b>

        <div class="f6 sans-serif center lh-xl b&#45;&#45; bb bw2" id="enrichedHeadline">
          <span *ngFor="let textpart of outputdata.enrichedHeadline">
            <app-term term="{{textpart.term}}"
                      [termMisspelled]="textpart.term_misspelled"
                      rewrittenTerm="{{textpart.rewritten_term}}"
                      concept="{{textpart.concept}}"
                      presentationType="{{textpart.presentation_type}}"
                      [prediction]="textpart.prediction"
                      [is_plain_text]="textpart.is_plain_text"></app-term>
          </span>
        </div>

        <div>
          <b>Text:</b>

          <div class="sans-serif center lh-xl">
          <span *ngFor="let textpart of outputdata.enrichedText">
            <app-term term="{{textpart.term}}"
                      [termMisspelled]="textpart.term_misspelled"
                      rewrittenTerm="{{textpart.rewritten_term}}"
                      concept="{{textpart.concept}}"
                      presentationType="{{textpart.presentation_type}}"
                      [prediction]="textpart.prediction"
                      [is_plain_text]="textpart.is_plain_text"></app-term>
          </span>
          </div>
        </div>
      </div>
    </div>

    <div class="mt6 tc" *ngIf="enrichingstatusInProgress">
      <p><span class="ff-ptmono b">Enriching in progress...</span><i class="fas fa-anchor animated flip icon-loading"></i></p>
    </div>
  </div>
</section>
